<?xml version="1.0"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema"
        targetNamespace="http://www.nikon.com"
        xmlns:nikon="http://www.nikon.com"
        elementFormDefault="qualified">

    <element name="body" type="nikon:bodyType"/>
    <element name="weight" type="string"/>
    <element name="description" type="string"/>

    <complexType name="bodyType">
        <sequence>
            <element ref="nikon:weight" />
            <element ref="nikon:description" />
        </sequence>
    </complexType>

</schema>

